Subject: Re: The concept of etc/ configuration information

From: Psi-Jack <[email-masked]>
Date: 20 Apr 2000 14:20:21 CDT

On Thu, 20 Apr 2000 22:05:01 +0300, Mikhael Goikhman said:

> On 20 Apr 2000 14:02:36 -0400, Dan Espen wrote:
>  > 
>  > Mikhael Goikhman <[email-masked]> writes:
>  > > I am not quoting the original message, because it contains
unrelevant
>  (and
>  > > sometimes not exact) info. Here is the rewording of the raised
>  problem.
>  > > 
>  > > We have in fvwm:
>  > >	 FVWM_MODULEDIR='${libexecdir}/${PACKAGE}/${VERSION}'
>  > >	 FVWM_CONFIGDIR='${sysconfdir}/${PACKAGE}'
>  > > 
>  > > In FVWM_CONFIGDIR currently we install configs (Config*), scripts
>  > > (Script*), and forms (Form*), I think none of them belong to
>  $sysconfdir,
>  > > i.e. there is nothing that fvwm may want to install to /etc (if
>  distros
>  > > use /etc for ${sysconfdir}).
>  > > 
>  > > So the fix is to change the second line to something like:
>  > >	 FVWM_CONFIGDIR='${datadir}/${PACKAGE}'
>  > > 
>  > > where ${datadir} is usually ${prefix}/share or similar.
>  > > I will care about this if you all agree with it.
>  > 
>  > This was dealt with at length about a year and a half ago.
>  > Check the mail archives.
>  
>  I remember well why FVWM_MODULEDIR is this and not another. It is ok.
>  However, I don't recall reading about FVWM_CONFIGDIR, so I went to
>  archives:
http://www.hpc.uh.edu/cgi-bin/w3glimpse/fvwm?query=sysconfdir
>  
>  There were no scripts and forms installed in FVWM_CONFIGDIR in
19971208,
>  so still this old discussion does not explain why they should go to
/etc.
>  Moreover I don't agree that even Config* files should go to /etc.
>  If distros want to put system.fvwm2rc in /etc (why?), ok, but not
>  Config*.
>  
>  So I am still quite sure that ${datadir} should be used instead of
>  ${sysconfdir} for FVWM_CONFIGDIR.
>  
>  Regards,
>  Mikhael.

Well, /etc/X11/fvwm2, or similar, is where the system-wide system.fvwm2rc
belongs. it's a configuration file.
However, scripts belong more so in ${datadir}/share/fvwm or similar, for
Scripts, themes, etc, to use as FVWM_CONFIGDIR.
Or heck, even FVWM_DATADIR.

Distributions will not stop using /etc/*. They all make their own
"default" fvwm configuration for menus, style, etc.

Any common Linux, or even UNIX user will agree with me on this, as well.
I already have comments from several people, and below is the comments of
the people:

<Psi-Jack> Hey guys. I have a theoretical evaluation I need to conclude.
etc/* stuff should be configuration information, no? Themes and such
would
be best in share/programname/*? Would anyone disagree with this concept?
<keunsun> Agree
<keunsun> like /usr/share/** or in the users home dir.
<Psi-Jack> I'm trying to explain that to fvwm-workers, and fvwm-themes	
people that same concept, and the fvwm-themes guy totally disagrees for
some
_strange_ reason.
<Psi-Jack> I haven't heard back from fvwm-workers, yet, however. But they
have Scripts* in the etcdir, also, which is bad. :)
<Psi-Jack> keunsun: Heh, the fvwm-themes guy I'm disputing this with
thinks
that every distribution should change their packaging just because he
things
themes belong in etcdir.
<Psi-Jack> muhri: What's your insight, if I may ask? Are you in the same
agreeance as keunsun?
<muhri_> Psi-Jack: definitly, etc dir scripts.. that's awful
<keunsun> Psi-Jack: to think that ANY..let alone every dist. is going to
change for one package is dilusional!
<keunsun> Besides, for themes to be really useable, they should be
editable
by user, and almost everything in the /etc dir. isnt
<Psi-Jack> keunsun: Well, fvwm-themes will use the system-wide themes dir
(presently looking at sysconfdir (ex: /etc/X11/fvwm2/) and $FVWM_USERHOME
(ex: /home/psi-jack/.fvwm/)   My fvwm-themer presently uses fvwm's
PREFIX/share/fvwm (ex: /usr/share/fvwm/) and $HOME/.fvwm
6<Psi-Jack> But.. It puts _me_ through hell, because for anything in the
site-wide themesdir has to be manually literally specified
(/usr/share/fvwm/themes/default/background), instead of just
(themes/background)
<keunsun> Psi-Jack: why would they want to change it? what are they
hoping
to gain by being different?
<keunsun> Psi-Jack: bedsides confusing the hell out of a bunch of people?
<Psi-Jack> keunsun: I don't know. All I can do is suggest _better_
standards. :)
<_popeye_> Psi-Jack : I agree completely.

Eric Renfro

-- 
  -- Psi-Jack <Jack into the Matrix/NOW!!!>

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 20 Apr 2000 15:35:36 -0400

> Or heck, even FVWM_DATADIR.

Don't get me wrong, I don't care where these files go.

I see little difference between system.fvwm2rc and ScriptFvwm*,
they are both config files.

I don't think of ScriptFvwm* as a script, it is not an executable.

I don't know about the Theme files, right now there are no theme
files in fvwm that I know about.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]